<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	
	<h2 align="center">Welcome to the Forms Page</h2>

	<!-- 
		Semantic Tags

			are new additions to HTML. Semantic Tags are also containers for element but unlike divs they are definitive of its content without relying to semantic id. However, em, strong, they are also semantic tags as they are used over <i></i><b></b>

		Semantic Containers

			such as nav, main, section, are more preffered by developers today, because it aids in better Search Engine Optimization (SEO), as well as developers themselves because each tag now clearly defines what is the content to be added.
	 -->


	 <!-- nav is a semantic container which contains navigation links. -->
	 <nav>
		<a href="./index.html">Go to Index</a>&emsp;
		
		<a href="./table.html">Go to Tables</a>&emsp;
		
		<a href="../activity/contact.html">Go to Contact Page</a>
	</nav>
	<!-- main is a semantic container used to show the main content of a page -->
	<main>
		<!-- sections are used to show parts of a page -->
		<section>
			<h2>HTML Forms</h2>
			<p>HTML Forms are used to gsather information or data from our user and send that information to a server.
			</p>
		</section>
		<section>

			<!-- 
				form tag - allows us to create a form and submit it to the server

				action attribute in a form will allows us to pas/submit the data to the server of the url that is given.

				label tag will allow us to create an element that serves as a label or indicator to the input. 

				Add a for attribute to the label will allow us to associate the label element to a particular input element. 

				for attribute - is passed the id of the particular input element to associate it.

				input tag - creates an input element to add user input. input tag can have many types to allow the addition of different kinds of data or information like text, numbers or dates.

				type attribute - in input elements allows us to identify what kind of information is to be provided to the input. It also affects the behavior of the element to be appropriate to the type of data we want to gather.

				name attribute - allows us to provide a name/ an identifier fo the VALUE of the input element. It allows us to properly indentify the value of an input in our form. It can be seen on the URL of the submit page

				id attribute  - not only provides a unique identifier fot the element, it is also used by the label to associate with. with id attb, you can click the label to select, instead of clicking the box or radio

				required attribute - allows us to check if the input has been filled and if not, the form cannot be submitted

				autocomplete attribute - provides suggestions for inputs and allows for better user experience

				input type - data change the behavior of an input element and only allows the input of dates

				buttons - are used to interact with our pages we can either have the button trigger an action, reset a form, or submit the form

				type attribute - to a button to indicate the action it will do. Buttons in a form can submit the form. This is why we add a type attribute to differentiate the actions buttons can do in a form.

				input type number change the behavior of an input element and only allows the input of numbers

				min attribute - to input type number sets the minimum number we can input

				max attribute -  to input type number sets the maximum number we can input

				select tag - allows us to create a dropdown menu with choices

				option tag - allows us to create the options/choices available for out select tag

				value attribute - to provide the value or date per option. This is done because options cannot be typed into the recieve input.

				input type radio - allows us to create a radio button and provide 

				input type checkbox - will allow us to create a checkbox for a multiple selection among multiple choices


			 -->
			<form action="https://google.com">

	<!-- full name -->
				<!-- putting label makes the name clickable -->
				<label for="name">Full Name:</label>
				<br> <!-- br will break the line -->
				<input type="text" name="fullname" id="fname" required autocomplete>
				<!-- required - the submit form wont work unless you complete all the fields -->
				<!-- autocomplete attb - the browser to do a pattern match against a list of values locally stored with the browser -->
				<br>

	<!-- birthdate -->
				<label for="bdate">Birthdate:</label>
				<br>
				<input type="date" name="birthday" id="bdate" required>
				<br>
	<!-- age -->
				<label for="ageInput">Age:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required>
				<br>
	<!-- gender -->
				<label for="genderInput">Gender:</label>
				<br>
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<br>
	<!-- radio; selection of a single choice; name MUST be the same -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<br>
	<!-- multiple Choice -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="manager">
				<label for="roleInput3">Manager</label>
				<br>
				<br>
	<!-- buttons -->
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>

</body>
</html>






















